exec_return proc pascal near
            uses ax
            
            call gpop
            mov _ip,ax 
            ret     
exec_return endp

gpop proc pascal near
     uses bx
     
     cmp gtos,0
     jne @@enable_pop
     push RET_WO_GOSUB
     call serror
@@enable_pop:   
     mov ax,gtos
     shl ax,00001h
     mov bx,ax
     mov ax,gstack[bx]
     dec gtos     
     ret
gpop endp